<?php
function fostar_config(&$form_state) {
  $form['description'] = array(
    '#type' => 'item', 
    '#title' => 'Настройки модуля Fostar',
  );
  
  $form['partner_id'] = array(
    '#type' => 'textfield', 
    '#title' => 'ID партнера',
    '#description' => 'Ваш ID на 1qc.ru, укажите его правильно.',
    '#default_value' => variable_get('fostar_partner_id', '0'),
  );
  
  $form['products_per_page'] = array(
    '#type' => 'textfield', 
    '#title' => 'Товаров на страницу',
    '#description' => 'Укажите сколько товаров выводить на странице.',
    '#default_value' => variable_get('fostar_products_per_page', 30),
  );
  
  $form['images_folder'] = array(
    '#type' => 'textfield',
    '#title' => 'Папка для хранения картинок',
    '#description' => 'Без слешей, внутри public://',
    '#default_value' => variable_get('fostar_images_folder', 'fostar-images'),
  );
  $presets = imagecache_presets();
  
  $items = array();  
  foreach ($presets as $preset_id => &$preset) $items[$preset['presetid']] = $preset['presetname'];
  $form['lists_image_style'] = array(
    '#type' => 'select',
    '#title' => 'Пресет изображения для списков',
    '#options' => $items,
    '#default_value' => variable_get('fostar_lists_image_style', ''),
  );
  
  $form['main_image_style'] = array(
    '#type' => 'select',
    '#title' => 'Пресет основного изображения на странице товара',
    '#options' => $items,
    '#default_value' => variable_get('fostar_main_image_style', ''),
  );
  
  $form['additional_image_style'] = array(
    '#type' => 'select',
    '#title' => 'Пресет дополнительных изображений на странице товара',
    '#options' => $items,
    '#default_value' => variable_get('fostar_additional_image_style', ''),
  );
  
  $form['api_url'] = array(
    '#type' => 'textfield', 
    '#title' => 'API URL',
    '#description' => 'Значение по умолчанию: <b>http://api2.fostar.ru/interface.php?</b>',
    '#default_value' => variable_get('fostar_api_url', 'http://api2.fostar.ru/interface.php?'),
  );
  
  $form['submit'] = array(
    '#type' => 'submit',
    '#value' => 'Отправить',
  );
  
  return $form;
}

function fostar_config_submit($form, &$form_state) {
  variable_set('fostar_partner_id', $form_state['values']['partner_id']);
  variable_set('fostar_products_per_page', $form_state['values']['products_per_page']);
  variable_set('fostar_images_folder', $form_state['values']['images_folder']);
  variable_set('fostar_lists_image_style', $form_state['values']['lists_image_style']);
  variable_set('fostar_main_image_style', $form_state['values']['main_image_style']);
  variable_set('fostar_additional_image_style', $form_state['values']['additional_image_style']);
  variable_set('fostar_api_url', $form_state['values']['api_url']);
}
