<?php
function fostar_token_list($type = 'all') {
  $tokens = array();
  
  if ($type == 'fostar_product' || $type == 'all') {
    $tokens['fostar'] = array(
      'fostar-product-id' => 'ID товара',
      'fostar-product-name' => 'Название товара',
      'fostar-product-category-full-id' => 'ID категории, включая ID родительских категорий',
      'fostar-product-category-full-name' => 'Полное название категории, включая названия родительских категорий',
    );
    
  } else if ($type == 'fostar_category' || $type == 'all') {
    $tokens['fostar']['fostar-category-id'] = 'ID категории';
    $tokens['fostar']['fostar-category-full-id'] = 'ID категории, включая ID родительских категорий';
    $tokens['fostar']['fostar-category-full-name'] = 'Полное название категории, включая названия родительских категорий';
  }
  
  return $tokens;
}

function fostar_token_values($type, $object = NULL, $options = array()) {
  $values = array();

  switch($type) {
    case 'fostar_product' :
      $product = $object;
      $values['fostar-product-id'] = $product->product_id;
      $values['fostar-product-name'] = str_replace('/', '-', $product->product_name);
      $values['fostar-product-category-full-id'] = $product->category_full_id;
      $values['fostar-product-category-full-name'] = $product->category_full_name;
      break;
    
    case 'fostar_category' :
      $category = $object;

      $values['fostar-category-id'] = $category->category_id;
      $values['fostar-category-full-id'] = $category->category_full_id;
      $values['fostar-category-full-name'] = $category->category_full_name;
      break;
  };

  return $values;
};

